export interface IEstimatePrintOptions {
    showPercent: boolean;
    showCount: boolean;
    showTakenTime: boolean;
    roll: number;
    msg: string;
    of?: {
        text: string;
        processed: number | null;
        total: number | null;
    };
}
export interface TEchoOptions {
    colorNum?: number;
    bgColorNum?: number;
    bold?: boolean;
    underscore?: boolean;
    reverse?: boolean;
    prefix?: string;
    consoleFunction?: 'dir' | 'log';
    logger?: any;
    estimate?: any;
    estimateReset?: boolean;
    prettyJSON?: boolean;
    linesBefore?: number;
}
export declare class Estimate {
    private total;
    private startTime;
    private startCircleTime;
    private echo;
    constructor(total: number);
    startProgress(total: number, roll?: number, msgAdd?: string, echoLevel?: number): void;
    setTotal(total: number): void;
    print(processed: number, options: string | IEstimatePrintOptions): void;
    getTaken(isReset?: boolean, isShowMilliseconds?: boolean): string;
    getRest(processed: number, fromStart?: boolean): string;
    taken(roll?: number, msgAdd?: string, options?: TEchoOptions): void;
    reset(): void;
}
//# sourceMappingURL=index.d.ts.map